org.springframework.beans

## Class BeanInstantiationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.FatalBeanException
            - - org.springframework.beans.BeanInstantiationException

All Implemented Interfaces:
  Serializable

    public class BeanInstantiationException
    extends FatalBeanException

Exception thrown when instantiation of a bean failed. Carries the offending bean class.

Since:
  1.2.8
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BeanInstantiationException(Class beanClass, String msg)` Create a new BeanInstantiationException.
`BeanInstantiationException(Class beanClass, String msg, Throwable cause)` Create a new BeanInstantiationException.

### Method Summary

Methods
`Class` `getBeanClass()` Return the offending bean class.

### Methods inherited from class org.springframework.beans.BeansException

`equals, hashCode`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BeanInstantiationException

    public BeanInstantiationException(Class beanClass,
                              String msg)

Create a new BeanInstantiationException.

Parameters:
  `beanClass` - the offending bean class
  `msg` - the detail message

#### BeanInstantiationException

    public BeanInstantiationException(Class beanClass,
                              String msg,
                              Throwable cause)

Create a new BeanInstantiationException.

Parameters:
  `beanClass` - the offending bean class
  `msg` - the detail message
  `cause` - the root cause

### Method Detail

#### getBeanClass

    public Class getBeanClass()

Return the offending bean class.